Package com.ocient.jdbc.graph

# Enum Class OCGraph.EdgeDirection

java.lang.Object
java.lang.Enum<OCGraph.EdgeDirection>
com.ocient.jdbc.graph.OCGraph.EdgeDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<OCGraph.EdgeDirection>`, `Constable`

Enclosing class:
  `OCGraph`

public static enum OCGraph.EdgeDirection extends Enum<OCGraph.EdgeDirection>
Specifies the direction of edges to follow relative to a source vertex when traversing a graph or collecting neighbors. Used to determine whether to consider incoming edges, outgoing edges, or both.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTH`
Follow edges in both directions.
`IN`
Follow incoming edges only.
`OUT`
Follow outgoing edges only.

## Method Summary

Modifier and Type
Method
Description
`static OCGraph.EdgeDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OCGraph.EdgeDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### IN

public static final OCGraph.EdgeDirection IN
Follow incoming edges only. Selects neighbors connected by an edge pointing *towards* the source vertex (i.e., where the source vertex is the destination of the edge).

### OUT

public static final OCGraph.EdgeDirection OUT
Follow outgoing edges only. Selects neighbors connected by an edge originating *from* the source vertex (i.e., where the source vertex is the source of the edge).

### BOTH

public static final OCGraph.EdgeDirection BOTH
Follow edges in both directions. Selects neighbors connected by either incoming or outgoing edges relative to the source vertex.

## Method Details

### values

public static OCGraph.EdgeDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OCGraph.EdgeDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null